Bug 222505 - sysctl hw.usb.disable_enumeration extend description
Summary: sysctl hw.usb.disable_enumeration extend description
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Hans Petter Selasky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-21 22:17 UTC by jhs
Modified: 2017-10-20 10:02 UTC (History)
1 user (show)

See Also:


Attachments
context diff (1.63 KB, patch)
2017-09-21 22:17 UTC, jhs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhs 2017-09-21 22:17:20 UTC
Created attachment 186606 [details]
context diff

Extend sysctl description for hw.usb.disable_enumeration
Approved by usb sysctl author hps@
Notes at http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/sys/dev/usb/usb_hub.c.REL=12.0-CURRENT.diff
Comment 1 commit-hook freebsd_committer 2017-09-22 08:21:41 UTC
A commit references this bug:

Author: hselasky
Date: Fri Sep 22 08:21:35 UTC 2017
New revision: 323916
URL: https://svnweb.freebsd.org/changeset/base/323916

Log:
  Extend sysctl description for hw.usb.disable_enumeration .

  PR:		222505
  Submitted by:	Julian H. Stacey <jhs@berklix.com>
  MFC after:	1 week
  Sponsored by:	Mellanox Technologies

Changes:
  head/sys/dev/usb/usb_hub.c
Comment 2 Hans Petter Selasky freebsd_committer 2017-09-22 08:21:52 UTC
Submitted with some modifications.
Comment 3 commit-hook freebsd_committer 2017-10-20 10:00:20 UTC
A commit references this bug:

Author: hselasky
Date: Fri Oct 20 09:59:39 UTC 2017
New revision: 324797
URL: https://svnweb.freebsd.org/changeset/base/324797

Log:
  MFC r323916:
  Extend sysctl description for hw.usb.disable_enumeration .

  PR:		222505
  Submitted by:	Julian H. Stacey <jhs@berklix.com>
  Sponsored by:	Mellanox Technologies

Changes:
_U  stable/11/
  stable/11/sys/dev/usb/usb_hub.c
Comment 4 commit-hook freebsd_committer 2017-10-20 10:02:24 UTC
A commit references this bug:

Author: hselasky
Date: Fri Oct 20 10:01:21 UTC 2017
New revision: 324798
URL: https://svnweb.freebsd.org/changeset/base/324798

Log:
  MFC r323916:
  Extend sysctl description for hw.usb.disable_enumeration .

  PR:		222505
  Submitted by:	Julian H. Stacey <jhs@berklix.com>
  Sponsored by:	Mellanox Technologies

Changes:
_U  stable/10/
  stable/10/sys/dev/usb/usb_hub.c